summaryrefslogtreecommitdiffstats
path: root/games/ioquake3/ioquake3.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'games/ioquake3/ioquake3.SlackBuild')
-rw-r--r--games/ioquake3/ioquake3.SlackBuild63
1 files changed, 48 insertions, 15 deletions
diff --git a/games/ioquake3/ioquake3.SlackBuild b/games/ioquake3/ioquake3.SlackBuild
index 7779ed6b49..cea80ebc8a 100644
--- a/games/ioquake3/ioquake3.SlackBuild
+++ b/games/ioquake3/ioquake3.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for ioquake3
-# Copyright 2012 Matt Dinslage (daedra1980@gmail.com), Springfield, MO, USA
+# Copyright 2016 Matt Dinslage, Springfield, MO
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -23,7 +23,7 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=ioquake3
-VERSION=${VERSION:-r20140120}
+VERSION=${VERSION:-r20160627}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -44,13 +44,27 @@ TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
+if [ "$BARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$BARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$BARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
set -e
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
rm -rf $PRGNAM-$VERSION
-tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+tar -xvf $CWD/$PRGNAM-$VERSION.tar.xz
cd $PRGNAM-$VERSION
chown -R root:root .
find -L . \
@@ -59,21 +73,39 @@ find -L . \
\( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
-o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
-#Disable use of own CFLAGS, we will use defaults since we
-#want to be as close to the binary releases as possible
-#CFLAGS="$SLKCFLAGS" \
-#CXXFLAGS="$SLKCFLAGS" \
+make \
+ release \
+ copyfiles \
+ COPYDIR="$PKG"/usr/share/games/quake3 \
+ CFLAGS="$SLKCFLAGS" \
+ USE_CODEC_VORBIS=1 \
+ USE_CURL=1 \
+ USE_CURL_DLOPEN=0 \
+ USE_FREETYPE=1 \
+ BUILD_RENDERER_OPENGL2=1 \
+ USE_VOIP=1 \
+ USE_OPENAL=1 \
+ USE_OPENAL_DLOPEN=0 \
+ USE_INTERNAL_OGG=0 \
+ USE_INTERNAL_VORBIS=0 \
+ USE_INTERNAL_ZLIB=0 \
+ USE_INTERNAL_JPEG=0 \
+ USE_INTERNAL_LIBS=0 \
+ USE_CODEC_OPUS=1 \
+ USE_INTERNAL_OPUS=1 #build/use internal opus, this keeps the deps down to just SDL2 and OpenAL
-make release copyfiles USE_CODEC_VORBIS=1 COPYDIR="$PKG"/usr/share/games/quake3
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
-# update quake3 files to newest point release (1.32)
-unzip $CWD/quake3-latest-pk3s.zip
-cp quake3-latest-pk3s/baseq3/*.pk3 $PKG/usr/share/games/quake3/baseq3
-cp quake3-latest-pk3s/missionpack/*.pk3 $PKG/usr/share/games/quake3/missionpack
+# update quake3 files to newest point release (1.32b)
+chmod +x $CWD/linuxq3apoint-1.32b-3.x86.run
+$CWD/linuxq3apoint-1.32b-3.x86.run --tar xf
+install -m 644 baseq3/*.pk3 $PKG/usr/share/games/quake3/baseq3
+install -m 644 missionpack/*.pk3 $PKG/usr/share/games/quake3/missionpack
mkdir -p $PKG/usr/share/{applications,pixmaps}
cat $CWD/$PRGNAM.desktop > $PKG/usr/share/applications/$PRGNAM.desktop
-cat $CWD/quake3.png > $PKG/usr/share/pixmaps/quake3.png
+install -m 644 $CWD/quake3.png $PKG/usr/share/pixmaps/quake3.png
# Add launcher
mkdir $PKG/usr/games
@@ -81,7 +113,8 @@ cat $CWD/launcher.ioquake3 > $PKG/usr/games/ioquake3
chmod 0755 $PKG/usr/games/ioquake3
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a BUGS ChangeLog NOTTODO README.md TODO id-readme.txt voip-readme.txt $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a COPYING.txt README.md NOTTODO BUGS ChangeLog \
+ $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/install
@@ -89,4 +122,4 @@ cat $CWD/slack-desc > $PKG/install/slack-desc
cat $CWD/doinst.sh > $PKG/install/doinst.sh
cd $PKG
-/sbin/makepkg -l y -c n -p $OUTPUT/$PRGNAM-$VERSION-$BARCH-$BUILD$TAG.${PKGTYPE:-tgz}
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$BARCH-$BUILD$TAG.${PKGTYPE:-tgz}